/*
 *
 *
 */

#include <defs.h>

int aimd_handle_servicereq(struct aim_session_t *sess, struct command_rx_struct *cur)
{
  unsigned short servtype;
  struct aimd_clientinfo *client;

  servtype = aimutil_get16(cur->data+10);
  printf("request for service %04x\n", servtype);

  switch (servtype) {
  case AIM_CONN_TYPE_ADS: 
    client = aimd_findclient(sess->logininfo.screen_name);
    aim_gencookie(client->lastcookie);
    client->lastservrequested = AIM_CONN_TYPE_ADS;
    TXCALLLOCKED(aim_sendredirect(sess, cur->conn, servtype, ADSIP, client->lastcookie);)
    break;

  default:
    /* XXX: some service requests contain more data */
    break;
  }

  return 1;
}
